set terminal png

# DEGREES

set logscale xy

set xlabel "k"
set ylabel "p(k)"

# Distribution des degrés (terrain)
set output "images/analysis/nerds/nerds_degrees_distribution.png"

plot "data/distributions/nerds_degrees_distrib"

# Distribution des degrés (aléatoire)
set output "images/analysis/random/random_degrees_distribution.png"

plot "data/distributions/random_degrees_distrib"

# Distribution des degrés (préférentiel)
set output "images/analysis/preferential/preferential_degrees_distribution.png"

plot "data/distributions/preferential_degrees_distrib"

# Comparaison des degrés

set output "images/analysis/degrees_distributions_comparison.png"

plot "data/distributions/nerds_degrees_distrib" lt rgb "black", "data/distributions/random_degrees_distrib" lt rgb "red", "data/distributions/preferential_degrees_distrib" lt rgb "blue"

# DISTANCES

unset logscale xy

set xlabel "d"
set ylabel "p(d)"

# Distribution des distances (terrain)
set output "images/analysis/nerds/nerds_distances_distribution.png"

plot "data/nerds_distances_distrib"

# Distribution des distances (aléatoire)
set output "images/analysis/random/random_distances_distribution.png"

plot "data/distributions/random_distances_distrib"

# Distribution des distances (préférentiel)
set output "images/analysis/preferential/preferential_distances_distribution.png"

plot "data/distributions/preferential_distances_distrib"

# Comparaison des distances

set output "images/analysis/distances_distributions_comparison.png"

plot "data/distributions/nerds_distances_distrib" lt rgb "black", "data/distributions/random_distances_distrib" lt rgb "red", "data/distributions/preferential_distances_distrib" lt rgb "blue"